#######################
# DROP TABLE COMMANDS #
#######################

# Tables that are not automatically generated

  DROP TABLE linkage;
  DROP TABLE stats;
  DROP TABLE rep_class;
  DROP TABLE genenote;
  DROP TABLE unigene;

#############################
# DON'T DELETE FROM HERE ON #
#############################

CREATE TABLE linkage
(
	link_id INT auto_increment NOT NULL PRIMARY KEY,
	disease VARCHAR(10) NOT NULL,
	band VARCHAR(25),
      marker VARCHAR(50),
      chr CHAR(2),
	pstart INT,
      start INT,
      end INT,
      qend INT,
	ref INT,
	score DECIMAL(3,2),
      type VARCHAR(10),
	p_value DECIMAL(11,8),
      notes TEXT
);

CREATE TABLE stats
(
	rep_class_id INT NOT NULL,
	chr VARCHAR(4),
	length INT UNSIGNED
);

CREATE INDEX stats_search ON stats (rep_class_id,length); CREATE INDEX stats_search_chr ON stats (chr,rep_class_id,length);

CREATE TABLE genenote
(
	g_id INT auto_increment NOT NULL PRIMARY KEY,
	id_ref VARCHAR(15) NOT NULL,
	value DECIMAL(10,1) NOT NULL,
	call CHAR(1) NOT NULL,
	tissue VARCHAR(15) NOT NULL,
	array CHAR(1) NOT NULL,
	number CHAR(4) NOT NULL
);

CREATE INDEX g_lookup ON genenote (id_ref,g_id);
CREATE INDEX g_all ON genenote (g_id,id_ref,value,call,tissue,array,number);
CREATE INDEX g_common ON genenote (g_id,call,tissue);

CREATE TABLE rep_class
(
	rep_class_id INT auto_increment NOT NULL PRIMARY KEY,
	class TEXT
);

CREATE INDEX rc_search ON rep_class (class (20) ASC,rep_class_id);