SELECT DISTINCT r.unit
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.length > 4 AND r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = \"Brain\" AND g.call = \"P\" AND t.gene_location != \"30000\" AND t.gene_location != \"45000\" AND t.gene_location != \"60000\"


SELECT r.unit
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.length > 10 AND r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = "Brain" AND g.call = "P"
LIMIT 2



SELECT r.rep_id, r.length, t.gene_location, g.tissue, g.call
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.unit = 3 AND r.length > 15 AND r.rep_id = t.rep_id AND t.gene_location = "exon" AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = "Brain" AND g.call = "P"
LIMIT 2;


SELECT DISTINCT e.name, r.rep_id, r.length, t.gene_location
FROM repeats r, transcripts t, ens_db e
WHERE r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND t.ens_name = "ENSG00000142208" AND r.period > 2 AND r.length > 2;

SELECT e.name, e.ens_name, a.affy_id, g.array, g.number, g.tissue, g.value, g.call
FROM ens_db e, affy a, genenote g
WHERE e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND e.ens_name = "ENSG00000049618" AND g.tissue = "Brain";

SELECT e.ens_name, a.affy_id, g.id_ref, g.array, g.number, g.tissue, g.value, g.call
FROM ens_db e, affy a, genenote g
WHERE e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND e.ens_name = "ENSG00000049618";


SELECT AVG(g.100_bp)
FROM gc g

SELECT MAX(g.value)
FROM ens_db e, affy a, genenote g
WHERE e.ens_name = "ENSG00000125387" AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref;

SELECT gc.rep_id, gc.100_bp, r.length, t.gene_location, e.name, e.ens_name, g.tissue, g.call
FROM gc, repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE gc.100_bp > 0.9 AND gc.rep_id = r.rep_id AND r.length > 15 AND r.period > 2 AND r.rep_id = t.rep_id AND t.gene_location = \"exon\" AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = \"Brain\" AND g.call = \"P\"
LIMIT 2;

SELECT DISTINCT t.rep_id, r.unit, r.length, t.gene_location, e.name, e.ens_name, g.tissue, g.call
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = \"Brain\" AND g.call = \"P\" AND (r.unit = \"CAG\" OR r.unit = \"AGC\" OR r.unit = \"GCA\" OR r.unit = \"CTG\" OR r.unit = \"TGC\" OR r.unit = \"GCT\") AND t.gene_location = \"exon\";

SELECT r.rep_id, r.length
FROM repeats r
WHERE r.unit = \"CAG\" OR r.unit = \"AGC\" OR r.unit = \"GCA\" OR r.unit = \"CTG\" OR r.unit = \"TGC\" OR r.unit = \"GCT\";

SELECT r.rep_id, r.length, r.unit, t.gene_location, e.name, e.ens_name, g.tissue, g.value
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND r.unit = "CAG" AND g.tissue = "Brain" AND g.call = "P" AND t.gene_location != "15000" AND t.gene_location != "30000" AND t.gene_location != "45000" AND t.gene_location != "60000"
LIMIT 2;

SELECT r.rep_id, r.length, r.unit, t.gene_location, e.name, e.ens_name, g.tissue, g.value
FROM repeats r, transcripts t, ens_db e, affy a, genenote g
WHERE r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND e.ens_name = a.ens_name AND a.id_ref = g.id_ref AND g.tissue = "Brain" AND g.call = "P" AND t.gene_location != "30000" AND t.gene_location != "45000" AND t.gene_location != "60000";

SELECT r.rep_id, r.length, r.seq, t.gene_location, t.ens_name
FROM repeats r, transcripts t
WHERE r.rep_id = t.rep_id AND r.unit = "CAG" OR r.unit = "AGC" OR r.unit = "GCA" OR r.unit = "CTG" OR r.unit = "TGC" OR r.unit = "GCT" AND t.gene_location = "exon"
LIMIT 2;

SELECT r.rep_id, r.length, t.gene_location, e.name, e.ens_name, e.strand
FROM repeats r, transcripts t, ens_db e
WHERE r.rep_id = t.rep_id AND t.ens_name = e.ens_name AND r.length > 15 AND t.gene_location != "30000" AND t.gene_location != "45000" AND t.gene_location != "60000";

SELECT r.rep_id, r.length, r.seq, t.gene_location, t.ens_name
FROM repeats r, transcripts t 
WHERE r.rep_id = t.rep_id AND r.unit = "CAG"